using System;
using System.Collections.Generic;
using System.Text;

using SharedLibrary;

namespace IpcGenerics
{
   public class SharedObjectImplementation<T> : MarshalByRefObject, ISharedObject<T>
   {
      public SharedObjectImplementation()
      {
         Console.WriteLine("Utworzono instancję obiektu współdzielonego: " +
            this.GetType().ToString());
      }
      #region ISharedObject<T> Members

      public void PrintMessage(T msg)
      {
         Console.WriteLine("Przychodząca wiadomość: " + msg.ToString());
      }

      #endregion
   }
}
